// @ts-ignore
/* eslint-disable */

declare namespace TASKAPI {
    type AddTask = {
        // 任务头像
        avatar?: string;
        // 结算比率
        checkout: number;
        // 结束时间
        endTime?: string;
        // 开始时间
        startTime?: string;
        // 素材要求json, 包含比例要求, 尺寸要求, 大小要求
        materialClaimJson?: string;
        // 素材示例
        materialExample?: string;
        // 素材资源
        materialResource?: string;
        // 素材来源
        materialSource?: string
        // 素材类型
        materialType?: string
        // 任务名称
        name: string
        // 任务描述
        remark?: string
        // 补充说明
        remarkMore?: string
        // 状态
        status?: string
        // 任务类型
        taskType?: string
        // 紧急度
        urgency?: string
        // 结算类型
        checkoutType: string
        id?: number
    };
    type ModifyTask = {
        id: number
        // 任务头像
        avatar?: string;
        // 结束时间
        endTime?: string;
        // 开始时间
        startTime?: string;
        // 素材示例
        materialExample?: string;
        // 素材资源
        materialResource?: string;
        // 任务名称
        name: string
        // 任务描述
        remark?: string
        // 补充说明
        remarkMore?: string
        // 状态
        status?: string
        // 紧急度
        urgency?: string
    };
    interface TaskList extends DEFAULTAPI.Paging {
        startTime?: string,
        endTime?: string,
        materialSource?: string,
        materialType?: string,
        name?: string,
        status?: string
        taskType?: string
        urgency?: number
    };
    interface TaskMemberList extends DEFAULTAPI.Paging {
        name?: string,
        status?: string,
        taskType?: string
    };
    type MaterialBean = {
        md5: string,
        size: number,
        url: string
    };
    interface AddMaterial {
        materialBeanList: MaterialBean[],
        materialType: string
        taskId: number
    };
    interface IncomeList extends DEFAULTAPI.Paging {
        endTime?: string
        startTime?: string
        taskName?: string
    };
    interface DownloadList extends DEFAULTAPI.Paging {

    };
    type DownloadEscalation = {
        userMaterialId: number
    };
    interface OpusList extends DEFAULTAPI.Paging {
        isCost?: boolean
        materialType?: string
        taskCreateEndTime?: string
        taskCreateStartTime?: string
        taskName?: string
        uploadEndTime?: string
        uploadStartTime?: string
    };
}